<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Modules\Authentication\Database\Seeders\AuthenticationDatabaseSeeder;
use Modules\Itsecurity\Database\Seeders\ItsecurityDatabaseSeeder;
use Modules\Logs\Database\Seeders\LogsDatabaseSeeder;
use Modules\Usermanagement\Database\Seeders\UsermanagementDatabaseSeeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $this->call([
            AuthenticationDatabaseSeeder::class,
            LogsDatabaseSeeder::class,
            UsermanagementDatabaseSeeder::class,
            ItsecurityDatabaseSeeder::class,
        ]);
    }
}
